
* Checking flour for households with problematic 

log using flourbread, replace
use "C:\Documents and Settings\wb178469\My Documents\Albania\LSMS 2005\bookbread_cl.dta"

rename ma_q00 psu
rename mae_q01 numloaves
rename mae_q02 sourceofbread
rename mae_q03 sourceflour
rename mae_q04 qtyflour
rename mae_q05 qtyforbread

duplicates report
duplicates drop
sort hhid

replace hhid=509 if hhid==505
replace hhid=1502 if hhid==1505
replace hhid=2310 if hhid==2309
replace hhid=6902 if hhid==6901
replace hhid=8708 if hhid==8709
replace hhid=9308 if hhid==9309
replace hhid=16109 if hhid==16110
replace hhid=18210 if hhid==18211
replace hhid=23007 if hhid==23001
replace hhid=26009 if hhid==26010
replace hhid=26509 if hhid==26510
replace hhid=34210 if hhid==34206
replace hhid=34409 if hhid==34402
replace hhid=37507 if hhid==37506
replace hhid=41609 if hhid==41608
replace hhid=43211 if hhid==43201
replace hhid=44506 if hhid==44505
replace hhid=46411 if hhid==46410

merge hhid using "C:\Documents and Settings\wb178469\My Documents\Albania\LSMS 2005 tempdata\foodoutliers.dta"
keep if code=="11132"
tab _merge
drop _merge

gen newqty=quantity
replace newqty=quantity*2 if periodcons<=3 &type==1
replace newqty=quantity/3 if periodcons==5 &type==1
replace newqty=quantity*2 if periodcons==6 &type==0
replace newqty=quantity/2 if periodcons==8 &type==0
replace newqty=quantity/3 if periodcons==9 &type==0
replace newqty=quantity/6 if periodcons==10 &type==0

gen onlyflr=qtyflour-qtyforbread
gen diff=newqty-qtyforbread

order hhid newqty quantity qtyflour qtyforbread periodcons onlyflr date diff acthhsize type

save "C:\Documents and Settings\wb178469\My Documents\Albania\LSMS 2005 tempdata\bookbread.dta", replace


log close